Subject: bug#53678: 29.0.50; Invalid read syntax: "#<" for package install in Windows

From: Alan Mackenzie <[email-masked]>
Date: Tue, 1 Feb 2022 20:15:48 +0000

Hello, Shuguang.

On Tue, Feb 01, 2022 at 13:32:11 +0800, Shuguang Sun wrote:
> Hi,

> When I try to install packages from the Package Menu or the command of
> package-install since about two weeks ago, it reports the error:
> ```
> error in process sentinel: async-when-done: Invalid read syntax: "#<"
> error in process sentinel: Invalid read syntax: "#<"
> ```
> And it seems not preventing the installation process but stops the emacs
> to compile the el files to elc.

"#<" looks like the start of a symbol with position, something like
"#<symbol foo at 666>" which is being returned by the reader recently
when invoked from the byte compiler.

The new mechanism for compilation warning positions was merged into the
Emacs master on Saturday 2022-01-22, which matches up pretty well with
your "since about two weeks ago, ...".

> FYI. I failed to find out what makes it. It looks like the local variable in
> the autoloads file generated by the package process. It add
> `;; coding: utf-8-emacs-unix`, however, in windows, the file is probablly
> in a coding of utf-8-emacs-dos. When I try to open the autoload file,
> Emacs can't regonize the major mode which assumes to be `emacs-lisp-mode`.
> Unless I change the `;; coding: utf-8-emacs-unix` to
> `;; coding: utf-8-emacs`, it can be open in the `emacs-lisp-mode`.

> Best Regards,
> Shuguang Sun

> In GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32)
>  of 2022-01-31 built on YJ190169-SSG
> Repository revision: 04f9c3b8df6afaf1e9de9f2a4478f63fd959bf09
> Repository branch: master
> Windowing system distributor 'Microsoft Corp.', version 10.0.19044
> System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.1466)

> Configured using:
>  'configure --without-pop --with-native-image-api
>  --with-native-compilation --without-compress-install
>  '--program-transform-name=s/^ctags$/ctags.emacs/''

> Configured features:
> ACL DBUS GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES
> NATIVE_COMP NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
> TOOLKIT_SCROLL_BARS WEBP XPM ZLIB

> Important settings:
>   value of $LANG: CHS
>   locale-coding-system: cp936

-- 
Alan Mackenzie (Nuremberg, Germany).